I’m using python-3.2.2 with matplotlib 1.1.0 (from the py3 fork).  I attempted a simple plotting test, and I get a blank Figure window together with the error messages below.  I suspect that I haven’t got matplotlib and tk/tcl setup properly, but I’m not sure how to track down the issue.

TIA,
Eric


$ ipython3 --pylab
Python 3.2.2 (default, Dec  5 2011, 12:00:35)
Type "copyright", "credits" or "license" for more information.

IPython 0.11 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.

Welcome to pylab, a matplotlib-based Python environment [backend: TkAgg].
For more information, type 'help(pylab)'.

In [1]: y = pylab.linspace( 0, 1, 10 )

In [2]: pylab.plot( y )
Exception in Tkinter callback
Traceback (most recent call last):
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/tkagg.py", line 13, in blit
    tk.call("PyAggImagePhoto", photoimage, id(aggimage), colormode, id(bbox_array))
_tkinter.TclError: invalid command name "PyAggImagePhoto"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "tkinter/__init__.py", line 1399, in __call__
    return self.func(*args)
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/backend_tkagg.py", line 236, in resize
    self.show()
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/backend_tkagg.py", line 240, in draw
    tkagg.blit(self._tkphoto, self.renderer._renderer, colormode=2)
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/tkagg.py", line 20, in blit
    tk.call("PyAggImagePhoto", photoimage, id(aggimage), colormode, id(bbox_array))
_tkinter.TclError
Out[2]: [<matplotlib.lines.Line2D at 0xed73e02c>]

In [3]: Exception in Tkinter callback
Traceback (most recent call last):
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/tkagg.py", line 13, in blit
    tk.call("PyAggImagePhoto", photoimage, id(aggimage), colormode, id(bbox_array))
_tkinter.TclError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "tkinter/__init__.py", line 1399, in __call__
    return self.func(*args)
  File "tkinter/__init__.py", line 487, in callit
    func(*args)
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/backend_tkagg.py", line 254, in idle_draw
    self.draw()
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/backend_tkagg.py", line 240, in draw
    tkagg.blit(self._tkphoto, self.renderer._renderer, colormode=2)
  File "/usr/local/python-3.2.2/lib/python3.2/site-packages/matplotlib/backends/tkagg.py", line 20, in blit
    tk.call("PyAggImagePhoto", photoimage, id(aggimage), colormode, id(bbox_array))
_tkinter.TclError